package com.hw.ems.base.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.TreeEntity;

/**
 * 线路计量信息对象 base_line_monitor
 *
 * @author YinQ
 * @date 2023-05-06
 */
public class BaseLineMonitor extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    @Excel(name = "主键标识")
    private Long objid;

    /** 父级编号 */
    @Excel(name = "父级编号")
    private Long parentId;

    /** 计量设备编号 */
    private String monitorId;

    /** 计量设备名称 */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /** 计量设备位置 */
    @Excel(name = "计量设备位置")
    private String monitorAddr;

    /** 计量设备类型 */
    @Excel(name = "计量设备类型")
    private Long monitorType;

    /** 计量设备状态 */
    @Excel(name = "计量设备状态")
    private Long monitorStatus;

    /** 采集设备编号 */
    @Excel(name = "采集设备编号")
    private String collectDeviceId;

    /** 建筑编号 */
    @Excel(name = "建筑编号")
    private String buildId;

    /** 等级 */
    @Excel(name = "等级")
    private Long grade;

    /** 修正值 */
    @Excel(name = "修正值")
    private BigDecimal correctValue;

    /** 是否虚拟 */
    @Excel(name = "是否虚拟")
    private String isAmmeter;

    /** 线路名称 */
//    @Excel(name = "线路名称")
    private String lineName;

    /** 线路长度 */
//    @Excel(name = "线路长度")
    private BigDecimal lineLength;

    /** 线路状态 */
//    @Excel(name = "线路状态")
    private Long lineStatus;

    /** 电力容量 */
//    @Excel(name = "电力容量")
    private BigDecimal powerCapacity;

    /** 水力容量 */
//    @Excel(name = "水力容量")
    private BigDecimal waterCapacity;

    /** 权限标识（部门） */
//    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    /** 权限标识（用户） */
//    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setMonitorId(String monitorId)
    {
        this.monitorId = monitorId;
    }

    public String getMonitorId()
    {
        return monitorId;
    }
    public void setMonitorName(String monitorName)
    {
        this.monitorName = monitorName;
    }

    public String getMonitorName()
    {
        return monitorName;
    }
    public void setMonitorAddr(String monitorAddr)
    {
        this.monitorAddr = monitorAddr;
    }

    public String getMonitorAddr()
    {
        return monitorAddr;
    }
    public void setMonitorType(Long monitorType)
    {
        this.monitorType = monitorType;
    }

    public Long getMonitorType()
    {
        return monitorType;
    }
    public void setMonitorStatus(Long monitorStatus)
    {
        this.monitorStatus = monitorStatus;
    }

    public Long getMonitorStatus()
    {
        return monitorStatus;
    }
    public void setCollectDeviceId(String collectDeviceId)
    {
        this.collectDeviceId = collectDeviceId;
    }

    public String getCollectDeviceId()
    {
        return collectDeviceId;
    }
    public void setBuildId(String buildId)
    {
        this.buildId = buildId;
    }

    public String getBuildId()
    {
        return buildId;
    }
    public void setGrade(Long grade)
    {
        this.grade = grade;
    }

    public Long getGrade()
    {
        return grade;
    }
    public void setCorrectValue(BigDecimal correctValue)
    {
        this.correctValue = correctValue;
    }

    public BigDecimal getCorrectValue()
    {
        return correctValue;
    }
    public void setIsAmmeter(String isAmmeter)
    {
        this.isAmmeter = isAmmeter;
    }

    public String getIsAmmeter()
    {
        return isAmmeter;
    }
    public void setLineName(String lineName)
    {
        this.lineName = lineName;
    }

    public String getLineName()
    {
        return lineName;
    }
    public void setLineLength(BigDecimal lineLength)
    {
        this.lineLength = lineLength;
    }

    public BigDecimal getLineLength()
    {
        return lineLength;
    }
    public void setLineStatus(Long lineStatus)
    {
        this.lineStatus = lineStatus;
    }

    public Long getLineStatus()
    {
        return lineStatus;
    }
    public void setPowerCapacity(BigDecimal powerCapacity)
    {
        this.powerCapacity = powerCapacity;
    }

    public BigDecimal getPowerCapacity()
    {
        return powerCapacity;
    }
    public void setWaterCapacity(BigDecimal waterCapacity)
    {
        this.waterCapacity = waterCapacity;
    }

    public BigDecimal getWaterCapacity()
    {
        return waterCapacity;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("parentId", getParentId())
            .append("monitorId", getMonitorId())
            .append("monitorName", getMonitorName())
            .append("monitorAddr", getMonitorAddr())
            .append("monitorType", getMonitorType())
            .append("monitorStatus", getMonitorStatus())
            .append("collectDeviceId", getCollectDeviceId())
            .append("buildId", getBuildId())
            .append("ancestors", getAncestors())
            .append("grade", getGrade())
            .append("correctValue", getCorrectValue())
            .append("isAmmeter", getIsAmmeter())
            .append("lineName", getLineName())
            .append("lineLength", getLineLength())
            .append("lineStatus", getLineStatus())
            .append("powerCapacity", getPowerCapacity())
            .append("waterCapacity", getWaterCapacity())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
